diff --git a/setup.py b/setup.py
index 7f5f8b4..f1cbe10 100755
--- a/setup.py
+++ b/setup.py
@@ -198,7 +198,7 @@ nvenc_ENABLED = DEFAULT and BITS==64 and pkg_config_version("10", "nvenc")
 nvfbc_ENABLED = DEFAULT and BITS==64 and pkg_config_ok("--exists", "nvfbc")
 cuda_kernels_ENABLED    = DEFAULT
 cuda_rebuild_ENABLED    = DEFAULT
-csc_libyuv_ENABLED      = DEFAULT and pkg_config_ok("--exists", "libyuv")
+csc_libyuv_ENABLED      = DEFAULT #and pkg_config_ok("--exists", "libyuv")
 example_ENABLED         = DEFAULT
 
 #Cython / gcc / packaging build options:
@@ -2307,7 +2307,7 @@ if dec_avcodec2_ENABLED:
 
 toggle_packages(csc_libyuv_ENABLED, "xpra.codecs.csc_libyuv")
 if csc_libyuv_ENABLED:
-    libyuv_pkgconfig = pkgconfig("libyuv")
+    libyuv_pkgconfig = { 'libraries': [ "yuv" ] }
     cython_add(Extension("xpra.codecs.csc_libyuv.colorspace_converter",
                 ["xpra/codecs/csc_libyuv/colorspace_converter.pyx"],
                 language="c++",
